nmh-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Nmh-commits] [SCM] The nmh Mail Handling System branch, master, updated


From: David Levine
Subject: [Nmh-commits] [SCM] The nmh Mail Handling System branch, master, updated. dc0e2941b5019ecc3ef704edfae0ba343a81430e
Date: Thu, 09 Feb 2012 03:43:10 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "The nmh Mail Handling System".

The branch, master has been updated
       via  dc0e2941b5019ecc3ef704edfae0ba343a81430e (commit)
       via  7b6b5f3f7bf82136c419b08d07304f6af7d76a48 (commit)
      from  6749991db7847b6b9fb253a55cc081b150867da5 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/nmh.git/commit/?id=dc0e2941b5019ecc3ef704edfae0ba343a81430e


commit dc0e2941b5019ecc3ef704edfae0ba343a81430e
Author: David Levine <address@hidden>
Date:   Wed Feb 8 21:42:46 2012 -0600

    Added mhshow subpart test.

diff --git a/test/tests/mhshow/test-subpart b/test/tests/mhshow/test-subpart
new file mode 100644
index 0000000..269c9f4
--- /dev/null
+++ b/test/tests/mhshow/test-subpart
@@ -0,0 +1,51 @@
+#!/bin/sh
+######################################################
+#
+# Test show of one part, fixed by
+# 31cba404636730df219dd009ca5893ccc56d46af
+#
+######################################################
+
+set -e
+
+expected=$MH_TEST_DIR/$$.expected
+actual=$MH_TEST_DIR/$$.actual
+
+# Write message with a text/plain subpart.
+msgfile=$(mhpath new)
+msgnum=$(basename $msgfile)
+cat > $msgfile <<EOF
+MIME-Version: 1.0
+Content-Type: multipart/mixed; boundary="NextPart_001"
+Content-class: urn:content-classes:message
+Date: Thu, 19 May 2011 00:00:00 -0000
+From: address@hidden
+To: address@hidden
+
+This is a multi-part message in MIME format.
+
+--NextPart_001
+Content-Type: multipart/related;
+    type="multipart/alternative";
+    boundary="NextPart_002"
+
+--NextPart_002
+Content-Type: text/plain;
+    charset="utf-8"
+
+This is the text/plain part.
+
+--NextPart_002--
+
+--NextPart_001--
+EOF
+
+# Write the expected output.
+cat > $expected <<EOF
+part 1.1   text/plain                  29
+This is the text/plain part.
+EOF
+
+# check it
+mhshow -part 1.1 -form mhl.null -nopause $msgnum > $actual 2>&1
+diff -u $expected $actual  &&  rm -f $expected $actual

http://git.savannah.gnu.org/cgit/nmh.git/commit/?id=7b6b5f3f7bf82136c419b08d07304f6af7d76a48


commit 7b6b5f3f7bf82136c419b08d07304f6af7d76a48
Author: David Levine <address@hidden>
Date:   Wed Feb 8 21:41:48 2012 -0600

    Always run setup-test from make test/runalltests, just in case the test 
build directory (test/testbuild) isn't up to date.  It might be nice to replace 
all the copies in the test build directory with symlinks, then make could keep 
the test build up to date.

diff --git a/Makefile.am b/Makefile.am
index ee9b511..42e71fe 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -500,7 +500,6 @@ man/man.sed: Makefile
        $(SED) -f man/man.sed $< > $@
 
 test: all
-       @test -d $(testdir)/testinstall || $(testdir)/setup-test
        @$(testdir)/runalltests
 .PHONY: test
 
diff --git a/test/runalltests b/test/runalltests
index 340be0a..48ba7f1 100755
--- a/test/runalltests
+++ b/test/runalltests
@@ -1,12 +1,13 @@
 #!/bin/sh
 
-status=0
-
 # Get full pathnames that we'll need.
 cd `dirname $0`
 testdir=`pwd`
 
-test -d testinstall || ./setup-test
+# Always run setup-test in case the code or configuration has changed.
+./setup-test
+
+status=0
 
 # Note that we ignore *~ files as these are probably editor backups.
 for i in `find . -name 'test-*[!~]' -type f`

-----------------------------------------------------------------------

Summary of changes:
 Makefile.am                    |    1 -
 test/runalltests               |    7 +++--
 test/tests/mhshow/test-subpart |   51 ++++++++++++++++++++++++++++++++++++++++
 3 files changed, 55 insertions(+), 4 deletions(-)
 create mode 100644 test/tests/mhshow/test-subpart


hooks/post-receive
-- 
The nmh Mail Handling System



reply via email to

[Prev in Thread] Current Thread [Next in Thread]